<?php

/* ***** BEGIN LICENSE BLOCK *****

Version: MPL 1.1

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/


Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is : EAN13.

The Initial Developer of the Original Code is Zéfling.
Portions created by the Initial Developer are Copyright (C) 2014
the Initial Developer. All Rights Reserved.

Contributor(s):
- Zéfling

***** END LICENSE BLOCK ***** */

/**
 * Liste des groupes ISBN
 * @author Zéfling (2014 - http://ikilote.net/fr/Blog/Techno-magis.html)
 * @version 1.1 (2014-05-12)
 */
 
final class ISBN_Map {
	public static $groups_length = array (
			979 => array (
					array (
							'max' => 999999,
							'length' => 0,
							'min' => 0 
					),
					array (
							'max' => 1199999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 1200000 
					) 
			),
			978 => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6499999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 6999999,
							'length' => 0,
							'min' => 6500000 
					),
					array (
							'max' => 7999999,
							'length' => 1,
							'min' => 7000000 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 8000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9500000 
					),
					array (
							'max' => 9989999,
							'length' => 4,
							'min' => 9900000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9990000 
					) 
			) 
	);
	public static $publisher_length = array (
			'978-99970' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-7' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9000000 
					) 
			),
			'978-4' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9499999,
							'length' => 6,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 7,
							'min' => 9500000 
					) 
			),
			'978-5' => array (
					array (
							'max' => 49999,
							'length' => 5,
							'min' => 0 
					),
					array (
							'max' => 99999,
							'length' => 4,
							'min' => 50000 
					),
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 100000 
					),
					array (
							'max' => 4209999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 4299999,
							'length' => 4,
							'min' => 4210000 
					),
					array (
							'max' => 4309999,
							'length' => 3,
							'min' => 4300000 
					),
					array (
							'max' => 4399999,
							'length' => 4,
							'min' => 4310000 
					),
					array (
							'max' => 4409999,
							'length' => 3,
							'min' => 4400000 
					),
					array (
							'max' => 4499999,
							'length' => 4,
							'min' => 4410000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 4500000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9099999,
							'length' => 6,
							'min' => 9000000 
					),
					array (
							'max' => 9199999,
							'length' => 5,
							'min' => 9100000 
					),
					array (
							'max' => 9299999,
							'length' => 4,
							'min' => 9200000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 9300000 
					),
					array (
							'max' => 9500999,
							'length' => 7,
							'min' => 9500000 
					),
					array (
							'max' => 9799999,
							'length' => 4,
							'min' => 9501000 
					),
					array (
							'max' => 9899999,
							'length' => 5,
							'min' => 9800000 
					),
					array (
							'max' => 9909999,
							'length' => 7,
							'min' => 9900000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9910000 
					) 
			),
			'978-2' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3499999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 3999999,
							'length' => 5,
							'min' => 3500000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 8399999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8400000 
					),
					array (
							'max' => 9499999,
							'length' => 6,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 7,
							'min' => 9500000 
					) 
			),
			'978-3' => array (
					array (
							'max' => 299999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 339999,
							'length' => 3,
							'min' => 300000 
					),
					array (
							'max' => 369999,
							'length' => 4,
							'min' => 340000 
					),
					array (
							'max' => 399999,
							'length' => 5,
							'min' => 370000 
					),
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 400000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9499999,
							'length' => 6,
							'min' => 9000000 
					),
					array (
							'max' => 9539999,
							'length' => 7,
							'min' => 9500000 
					),
					array (
							'max' => 9699999,
							'length' => 5,
							'min' => 9540000 
					),
					array (
							'max' => 9899999,
							'length' => 7,
							'min' => 9700000 
					),
					array (
							'max' => 9949999,
							'length' => 5,
							'min' => 9900000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9950000 
					) 
			),
			'978-0' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9499999,
							'length' => 6,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 7,
							'min' => 9500000 
					) 
			),
			'978-1' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 5499999,
							'length' => 4,
							'min' => 4000000 
					),
					array (
							'max' => 8697999,
							'length' => 5,
							'min' => 5500000 
					),
					array (
							'max' => 9989999,
							'length' => 6,
							'min' => 8698000 
					),
					array (
							'max' => 9999999,
							'length' => 7,
							'min' => 9990000 
					) 
			),
			'978-9968' => array (
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9399999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9400000 
					) 
			),
			'978-9961' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9499999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9500000 
					) 
			),
			'978-9960' => array (
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9963' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 2499999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 2799999,
							'length' => 3,
							'min' => 2500000 
					),
					array (
							'max' => 2999999,
							'length' => 4,
							'min' => 2800000 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 7349999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 7499999,
							'length' => 4,
							'min' => 7350000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 7500000 
					) 
			),
			'978-9962' => array (
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5599999,
							'length' => 4,
							'min' => 5500000 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 5600000 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8500000 
					) 
			),
			'978-9965' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9964' => array (
					array (
							'max' => 6999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9500000 
					) 
			),
			'978-9967' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9966' => array (
					array (
							'max' => 1499999,
							'length' => 3,
							'min' => 0 
					),
					array (
							'max' => 1999999,
							'length' => 4,
							'min' => 1500000 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9599999,
							'length' => 3,
							'min' => 7500000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9600000 
					) 
			),
			'978-967' => array (
					array (
							'max' => 99999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 999999,
							'length' => 4,
							'min' => 100000 
					),
					array (
							'max' => 1999999,
							'length' => 5,
							'min' => 1000000 
					),
					array (
							'max' => 2999999,
							'length' => 0,
							'min' => 2000000 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 5999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9989999,
							'length' => 4,
							'min' => 9900000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9990000 
					) 
			),
			'978-966' => array (
					array (
							'max' => 1299999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1399999,
							'length' => 3,
							'min' => 1300000 
					),
					array (
							'max' => 1499999,
							'length' => 2,
							'min' => 1400000 
					),
					array (
							'max' => 1699999,
							'length' => 4,
							'min' => 1500000 
					),
					array (
							'max' => 1999999,
							'length' => 3,
							'min' => 1700000 
					),
					array (
							'max' => 2789999,
							'length' => 4,
							'min' => 2000000 
					),
					array (
							'max' => 2899999,
							'length' => 3,
							'min' => 2790000 
					),
					array (
							'max' => 2999999,
							'length' => 4,
							'min' => 2900000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9099999,
							'length' => 5,
							'min' => 9000000 
					),
					array (
							'max' => 9499999,
							'length' => 3,
							'min' => 9100000 
					),
					array (
							'max' => 9799999,
							'length' => 5,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9800000 
					) 
			),
			'978-965' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 6999999,
							'length' => 0,
							'min' => 6000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 0,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-964' => array (
					array (
							'max' => 1499999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 2499999,
							'length' => 3,
							'min' => 1500000 
					),
					array (
							'max' => 2999999,
							'length' => 4,
							'min' => 2500000 
					),
					array (
							'max' => 5499999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 5500000 
					),
					array (
							'max' => 9699999,
							'length' => 5,
							'min' => 9000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9700000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-963' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-962' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8699999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 8700000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-961' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 6000000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 9500000 
					) 
			),
			'978-960' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6599999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 6899999,
							'length' => 4,
							'min' => 6600000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 6900000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9299999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9399999,
							'length' => 2,
							'min' => 9300000 
					),
					array (
							'max' => 9799999,
							'length' => 4,
							'min' => 9400000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9800000 
					) 
			),
			'978-9985' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-969' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8000000 
					) 
			),
			'978-968' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 100000 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9984' => array (
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-99971' => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8499999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8500000 
					) 
			),
			'978-9983' => array (
					array (
							'max' => 7999999,
							'length' => 0,
							'min' => 0 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 8000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-99909' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9500000 
					) 
			),
			'978-99908' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99905' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99904' => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99906' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 7000000 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9500000 
					) 
			),
			'978-99901' => array (
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 8000000 
					) 
			),
			'978-99903' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99902' => array (
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 0 
					) 
			),
			'978-974' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9500000 
					) 
			),
			'978-975' => array (
					array (
							'max' => 199999,
							'length' => 5,
							'min' => 0 
					),
					array (
							'max' => 2499999,
							'length' => 2,
							'min' => 200000 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 2500000 
					),
					array (
							'max' => 9199999,
							'length' => 4,
							'min' => 6000000 
					),
					array (
							'max' => 9899999,
							'length' => 5,
							'min' => 9200000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9900000 
					) 
			),
			'978-976' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-977' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 6999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9000000 
					) 
			),
			'978-970' => array (
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 100000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9099999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9699999,
							'length' => 5,
							'min' => 9100000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9700000 
					) 
			),
			'978-971' => array (
					array (
							'max' => 159999,
							'length' => 3,
							'min' => 0 
					),
					array (
							'max' => 199999,
							'length' => 4,
							'min' => 160000 
					),
					array (
							'max' => 299999,
							'length' => 2,
							'min' => 200000 
					),
					array (
							'max' => 599999,
							'length' => 4,
							'min' => 300000 
					),
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 600000 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9099999,
							'length' => 4,
							'min' => 8500000 
					),
					array (
							'max' => 9599999,
							'length' => 5,
							'min' => 9100000 
					),
					array (
							'max' => 9699999,
							'length' => 4,
							'min' => 9600000 
					),
					array (
							'max' => 9899999,
							'length' => 2,
							'min' => 9700000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-972' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-973' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 1699999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 1999999,
							'length' => 4,
							'min' => 1700000 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7599999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7600000 
					),
					array (
							'max' => 8899999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8900000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-978' => array (
					array (
							'max' => 1999999,
							'length' => 3,
							'min' => 0 
					),
					array (
							'max' => 2999999,
							'length' => 4,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 5,
							'min' => 3000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-979' => array (
					array (
							'max' => 999999,
							'length' => 3,
							'min' => 0 
					),
					array (
							'max' => 1499999,
							'length' => 4,
							'min' => 1000000 
					),
					array (
							'max' => 1999999,
							'length' => 5,
							'min' => 1500000 
					),
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 3999999,
							'length' => 4,
							'min' => 3000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-99918' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99919' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 7000000 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99916' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 7000000 
					) 
			),
			'978-99917' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99914' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99915' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99912' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99913' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3599999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 5999999,
							'length' => 0,
							'min' => 3600000 
					),
					array (
							'max' => 6049999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 6050000 
					) 
			),
			'978-99910' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99911' => array (
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'979-11' => array (
					array (
							'max' => 2499999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 3,
							'min' => 2500000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9500000 
					) 
			),
			'978-90' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 6999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 7999999,
							'length' => 5,
							'min' => 7000000 
					),
					array (
							'max' => 8499999,
							'length' => 6,
							'min' => 8000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 8500000 
					),
					array (
							'max' => 9099999,
							'length' => 2,
							'min' => 9000000 
					),
					array (
							'max' => 9399999,
							'length' => 0,
							'min' => 9100000 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 9400000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 9500000 
					) 
			),
			'978-91' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 6499999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 6999999,
							'length' => 0,
							'min' => 6500000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8499999,
							'length' => 0,
							'min' => 8000000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9699999,
							'length' => 0,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9700000 
					) 
			),
			'978-92' => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9899999,
							'length' => 5,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9900000 
					) 
			),
			'978-93' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9500000 
					) 
			),
			'978-94' => array (
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-9982' => array (
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-9981' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1599999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 1999999,
							'length' => 4,
							'min' => 1600000 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9499999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9500000 
					) 
			),
			'978-9980' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-9989' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 1999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 2999999,
							'length' => 4,
							'min' => 2000000 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9499999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9500000 
					) 
			),
			'978-9988' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 7499999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 7500000 
					) 
			),
			'978-99923' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99922' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 7000000 
					) 
			),
			'978-99921' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 1,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9000000 
					) 
			),
			'978-99920' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99927' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'978-99926' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9000000 
					) 
			),
			'978-99925' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99924' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99929' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99928' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-9932' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8500000 
					) 
			),
			'978-9933' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9930' => array (
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9399999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9400000 
					) 
			),
			'978-9931' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9936' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8000000 
					) 
			),
			'978-9937' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8000000 
					) 
			),
			'978-9934' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8000000 
					) 
			),
			'978-9935' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9938' => array (
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9499999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9500000 
					) 
			),
			'978-9939' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-958' => array (
					array (
							'max' => 5699999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 5,
							'min' => 5700000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-959' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 8500000 
					) 
			),
			'978-956' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 7000000 
					) 
			),
			'978-957' => array (
					array (
							'max' => 299999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 499999,
							'length' => 4,
							'min' => 300000 
					),
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 500000 
					),
					array (
							'max' => 2099999,
							'length' => 4,
							'min' => 2000000 
					),
					array (
							'max' => 2799999,
							'length' => 2,
							'min' => 2100000 
					),
					array (
							'max' => 3099999,
							'length' => 5,
							'min' => 2800000 
					),
					array (
							'max' => 4399999,
							'length' => 2,
							'min' => 3100000 
					),
					array (
							'max' => 8199999,
							'length' => 3,
							'min' => 4400000 
					),
					array (
							'max' => 9699999,
							'length' => 4,
							'min' => 8200000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9700000 
					) 
			),
			'978-954' => array (
					array (
							'max' => 2899999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 2999999,
							'length' => 4,
							'min' => 2900000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9299999,
							'length' => 5,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9300000 
					) 
			),
			'978-955' => array (
					array (
							'max' => 1999999,
							'length' => 4,
							'min' => 0 
					),
					array (
							'max' => 4399999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 4499999,
							'length' => 5,
							'min' => 4400000 
					),
					array (
							'max' => 4999999,
							'length' => 4,
							'min' => 4500000 
					),
					array (
							'max' => 5499999,
							'length' => 5,
							'min' => 5000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-952' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 5999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 6599999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 6699999,
							'length' => 4,
							'min' => 6600000 
					),
					array (
							'max' => 6999999,
							'length' => 5,
							'min' => 6700000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 8000000 
					),
					array (
							'max' => 9899999,
							'length' => 4,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9900000 
					) 
			),
			'978-953' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 1499999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 5099999,
							'length' => 3,
							'min' => 1500000 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 5100000 
					),
					array (
							'max' => 5999999,
							'length' => 5,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-950' => array (
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9899999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9900000 
					) 
			),
			'978-951' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 8899999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8900000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-89' => array (
					array (
							'max' => 2499999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 3,
							'min' => 2500000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9699999,
							'length' => 6,
							'min' => 9500000 
					),
					array (
							'max' => 9899999,
							'length' => 5,
							'min' => 9700000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9900000 
					) 
			),
			'978-88' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 6000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9099999,
							'length' => 6,
							'min' => 9000000 
					),
					array (
							'max' => 9299999,
							'length' => 3,
							'min' => 9100000 
					),
					array (
							'max' => 9499999,
							'length' => 0,
							'min' => 9300000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-87' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 0,
							'min' => 3000000 
					),
					array (
							'max' => 6499999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 6999999,
							'length' => 0,
							'min' => 6500000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8499999,
							'length' => 0,
							'min' => 8000000 
					),
					array (
							'max' => 9499999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9699999,
							'length' => 0,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9700000 
					) 
			),
			'978-86' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 6000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9000000 
					) 
			),
			'978-85' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 6999999,
							'length' => 5,
							'min' => 6000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9799999,
							'length' => 6,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9800000 
					) 
			),
			'978-84' => array (
					array (
							'max' => 1399999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1499999,
							'length' => 3,
							'min' => 1400000 
					),
					array (
							'max' => 1999999,
							'length' => 5,
							'min' => 1500000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9199999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9239999,
							'length' => 6,
							'min' => 9200000 
					),
					array (
							'max' => 9299999,
							'length' => 5,
							'min' => 9240000 
					),
					array (
							'max' => 9499999,
							'length' => 6,
							'min' => 9300000 
					),
					array (
							'max' => 9699999,
							'length' => 5,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9700000 
					) 
			),
			'978-83' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 6999999,
							'length' => 5,
							'min' => 6000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9000000 
					) 
			),
			'978-82' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9899999,
							'length' => 5,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9900000 
					) 
			),
			'978-81' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9000000 
					) 
			),
			'978-80' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8499999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9000000 
					) 
			),
			'978-99934' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99935' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 8999999,
							'length' => 1,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9000000 
					) 
			),
			'978-99936' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'978-99937' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'978-99930' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99931' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99932' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 7999999,
							'length' => 1,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 8000000 
					) 
			),
			'978-99933' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'978-620' => array (
					array (
							'max' => 9999999,
							'length' => 1,
							'min' => 0 
					) 
			),
			'978-621' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 0,
							'min' => 3000000 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 7999999,
							'length' => 0,
							'min' => 6000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9499999,
							'length' => 0,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-99938' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9000000 
					) 
			),
			'978-99939' => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-9927' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 4999999,
							'length' => 4,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 5000000 
					) 
			),
			'978-9929' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8000000 
					) 
			),
			'978-9928' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 4999999,
							'length' => 4,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 5000000 
					) 
			),
			'979-10' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9759999,
							'length' => 5,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 6,
							'min' => 9760000 
					) 
			),
			'978-9986' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9399999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9699999,
							'length' => 3,
							'min' => 9400000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9700000 
					) 
			),
			'978-9987' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8799999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8800000 
					) 
			),
			'978-99941' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99940' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 7000000 
					) 
			),
			'978-99943' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'978-99942' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99945' => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99944' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99947' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9599999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9600000 
					) 
			),
			'978-99946' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'978-99949' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99948' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-9950' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8500000 
					) 
			),
			'978-9951' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8500000 
					) 
			),
			'978-9952' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8000000 
					) 
			),
			'978-9953' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9954' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8000000 
					) 
			),
			'978-9955' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9299999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9300000 
					) 
			),
			'978-9956' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9957' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 8499999,
							'length' => 2,
							'min' => 7000000 
					),
					array (
							'max' => 8799999,
							'length' => 4,
							'min' => 8500000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 8800000 
					) 
			),
			'978-9958' => array (
					array (
							'max' => 399999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 899999,
							'length' => 3,
							'min' => 400000 
					),
					array (
							'max' => 999999,
							'length' => 4,
							'min' => 900000 
					),
					array (
							'max' => 1899999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 1999999,
							'length' => 4,
							'min' => 1900000 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9959' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9499999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9699999,
							'length' => 4,
							'min' => 9500000 
					),
					array (
							'max' => 9799999,
							'length' => 3,
							'min' => 9700000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9800000 
					) 
			),
			'978-989' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-988' => array (
					array (
							'max' => 1199999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1499999,
							'length' => 5,
							'min' => 1200000 
					),
					array (
							'max' => 1699999,
							'length' => 5,
							'min' => 1500000 
					),
					array (
							'max' => 1999999,
							'length' => 5,
							'min' => 1700000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 9699999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9700000 
					) 
			),
			'978-985' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-984' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-987' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1999999,
							'length' => 4,
							'min' => 1000000 
					),
					array (
							'max' => 2999999,
							'length' => 5,
							'min' => 2000000 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-986' => array (
					array (
							'max' => 1199999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5599999,
							'length' => 3,
							'min' => 1200000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 5600000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 8000000 
					) 
			),
			'978-981' => array (
					array (
							'max' => 1199999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1999999,
							'length' => 0,
							'min' => 1200000 
					),
					array (
							'max' => 2899999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 2999999,
							'length' => 3,
							'min' => 2900000 
					),
					array (
							'max' => 3099999,
							'length' => 4,
							'min' => 3000000 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 3100000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 4000000 
					) 
			),
			'978-980' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 6000000 
					) 
			),
			'978-983' => array (
					array (
							'max' => 199999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1999999,
							'length' => 3,
							'min' => 200000 
					),
					array (
							'max' => 3999999,
							'length' => 4,
							'min' => 2000000 
					),
					array (
							'max' => 4499999,
							'length' => 5,
							'min' => 4000000 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 4500000 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9899999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9900000 
					) 
			),
			'978-982' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 7000000 
					),
					array (
							'max' => 9799999,
							'length' => 4,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9800000 
					) 
			),
			'978-99952' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99953' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9399999,
							'length' => 3,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9400000 
					) 
			),
			'978-99950' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99951' => array (
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 0 
					) 
			),
			'978-99956' => array (
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8599999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 8600000 
					) 
			),
			'978-99957' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99954' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 8799999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 8800000 
					) 
			),
			'978-99955' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9000000 
					) 
			),
			'978-99958' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9500000 
					) 
			),
			'978-99959' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 6000000 
					) 
			),
			'978-9943' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 4000000 
					) 
			),
			'978-9942' => array (
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9849999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9850000 
					) 
			),
			'978-9941' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9940' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9947' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-9946' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9945' => array (
					array (
							'max' => 99999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 799999,
							'length' => 3,
							'min' => 100000 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 800000 
					),
					array (
							'max' => 5699999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 5799999,
							'length' => 2,
							'min' => 5700000 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 5800000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8500000 
					) 
			),
			'978-9944' => array (
					array (
							'max' => 999999,
							'length' => 4,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 5999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-9949' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9948' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8499999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 8500000 
					) 
			),
			'978-615' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 9000000 
					) 
			),
			'978-614' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-617' => array (
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-616' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-611' => array (
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 0 
					) 
			),
			'978-613' => array (
					array (
							'max' => 9999999,
							'length' => 1,
							'min' => 0 
					) 
			),
			'978-612' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 4499999,
							'length' => 4,
							'min' => 4000000 
					),
					array (
							'max' => 4999999,
							'length' => 5,
							'min' => 4500000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 5000000 
					) 
			),
			'978-619' => array (
					array (
							'max' => 1499999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 1500000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-618' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 8000000 
					) 
			),
			'978-99967' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 9000000 
					) 
			),
			'978-99966' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 8999999,
							'length' => 0,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 0,
							'min' => 9000000 
					) 
			),
			'978-99965' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99964' => array (
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 2000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99963' => array (
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 5000000 
					) 
			),
			'978-99962' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99961' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-99960' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9500000 
					) 
			),
			'978-99969' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 8000000 
					) 
			),
			'978-99968' => array (
					array (
							'max' => 3999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 3,
							'min' => 9000000 
					) 
			),
			'978-9976' => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-9977' => array (
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-9974' => array (
					array (
							'max' => 2999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 5499999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 7499999,
							'length' => 3,
							'min' => 5500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 7500000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9500000 
					) 
			),
			'978-9975' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 4499999,
							'length' => 4,
							'min' => 4000000 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 4500000 
					),
					array (
							'max' => 9499999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9500000 
					) 
			),
			'978-9972' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1999999,
							'length' => 1,
							'min' => 1000000 
					),
					array (
							'max' => 2499999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 2999999,
							'length' => 4,
							'min' => 2500000 
					),
					array (
							'max' => 5999999,
							'length' => 2,
							'min' => 3000000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9973' => array (
					array (
							'max' => 599999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 899999,
							'length' => 3,
							'min' => 600000 
					),
					array (
							'max' => 999999,
							'length' => 4,
							'min' => 900000 
					),
					array (
							'max' => 6999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 9699999,
							'length' => 3,
							'min' => 7000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9700000 
					) 
			),
			'978-9970' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-9971' => array (
					array (
							'max' => 5999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 6000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-9978' => array (
					array (
							'max' => 2999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 3000000 
					),
					array (
							'max' => 9499999,
							'length' => 2,
							'min' => 4000000 
					),
					array (
							'max' => 9899999,
							'length' => 3,
							'min' => 9500000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9900000 
					) 
			),
			'978-9979' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 6499999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 6599999,
							'length' => 3,
							'min' => 6500000 
					),
					array (
							'max' => 7599999,
							'length' => 2,
							'min' => 6600000 
					),
					array (
							'max' => 8999999,
							'length' => 3,
							'min' => 7600000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9000000 
					) 
			),
			'978-602' => array (
					array (
							'max' => 1499999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 1699999,
							'length' => 4,
							'min' => 1500000 
					),
					array (
							'max' => 1799999,
							'length' => 5,
							'min' => 1700000 
					),
					array (
							'max' => 1899999,
							'length' => 5,
							'min' => 1800000 
					),
					array (
							'max' => 1999999,
							'length' => 5,
							'min' => 1900000 
					),
					array (
							'max' => 7499999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 7500000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-603' => array (
					array (
							'max' => 499999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 500000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-600' => array (
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 8999999,
							'length' => 4,
							'min' => 5000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9000000 
					) 
			),
			'978-601' => array (
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 6999999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 7999999,
							'length' => 4,
							'min' => 7000000 
					),
					array (
							'max' => 8499999,
							'length' => 5,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 8500000 
					) 
			),
			'978-606' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 4999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 5000000 
					),
					array (
							'max' => 9199999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9200000 
					) 
			),
			'978-607' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 7499999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 7500000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			),
			'978-604' => array (
					array (
							'max' => 4999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 8999999,
							'length' => 2,
							'min' => 5000000 
					),
					array (
							'max' => 9799999,
							'length' => 3,
							'min' => 9000000 
					),
					array (
							'max' => 9999999,
							'length' => 4,
							'min' => 9800000 
					) 
			),
			'978-605' => array (
					array (
							'max' => 99999,
							'length' => 0,
							'min' => 0 
					),
					array (
							'max' => 999999,
							'length' => 2,
							'min' => 100000 
					),
					array (
							'max' => 3999999,
							'length' => 3,
							'min' => 1000000 
					),
					array (
							'max' => 5999999,
							'length' => 4,
							'min' => 4000000 
					),
					array (
							'max' => 8999999,
							'length' => 5,
							'min' => 6000000 
					),
					array (
							'max' => 9999999,
							'length' => 2,
							'min' => 9000000 
					) 
			),
			'978-608' => array (
					array (
							'max' => 999999,
							'length' => 1,
							'min' => 0 
					),
					array (
							'max' => 1999999,
							'length' => 2,
							'min' => 1000000 
					),
					array (
							'max' => 4499999,
							'length' => 3,
							'min' => 2000000 
					),
					array (
							'max' => 6499999,
							'length' => 4,
							'min' => 4500000 
					),
					array (
							'max' => 6999999,
							'length' => 5,
							'min' => 6500000 
					),
					array (
							'max' => 9999999,
							'length' => 1,
							'min' => 7000000 
					) 
			),
			'978-609' => array (
					array (
							'max' => 3999999,
							'length' => 2,
							'min' => 0 
					),
					array (
							'max' => 7999999,
							'length' => 3,
							'min' => 4000000 
					),
					array (
							'max' => 9499999,
							'length' => 4,
							'min' => 8000000 
					),
					array (
							'max' => 9999999,
							'length' => 5,
							'min' => 9500000 
					) 
			) 
	);
}